Package Details: libqtelegram-ae-git 3:10.0.0.stable.r27.g1865e02-1

Git Clone URL: https://aur.archlinux.org/libqtelegram-ae-git.git (read-only, click to copy)
Package Base: libqtelegram-ae-git
Description: Telegram library written in Qt based on telegram-cli code
Upstream URL: https://github.com/Aseman-Land/libqtelegram-aseman-edition
Licenses: GPL3
Conflicts: libqtelegram-ae
Provides: libqtelegram-ae=3:10.0.0.stable.r27.g1865e02
Submitter: farseerfc
Maintainer: None
Last Packager: farseerfc
Votes: 5
Popularity: 0.000000
First Submitted: 2015-05-08 04:21
Last Updated: 2016-10-18 09:16

Required by (2)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

Ender commented on 2016-09-12 10:09

I've got several errors while installing the package:

http://pastebin.com/fRJQPsNq

farseerfc commented on 2016-05-13 11:58

@JZA It's the recent gcc6.1.1 broke the compatibility of qmake generated Makefile. Fixed and it should build normally now. Thanks.

JZA commented on 2016-05-13 10:10

Got this issue while updating my package:
Cloning into 'libqtelegram-ae-git'...
done.
==> Starting prepare()...
==> Starting pkgver()...
==> Starting build()...
g++ -c -pipe -O2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -Wall -W -D_REENTRANT -fPIC -DLIBQTELEGRAM_LIBRARY -DLQTG_DISABLE_LOG -DQT_NO_DEBUG -DQT_MULTIMEDIA_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I../../libqtelegram-ae-git -I. -isystem /usr/include -isystem /usr/local/include -isystem /usr/include/qt -isystem /usr/include/qt/QtMultimedia -isystem /usr/include/qt/QtGui -isystem /usr/include/qt/QtNetwork -isystem /usr/include/qt/QtCore -I. -I/usr/lib/qt/mkspecs/linux-g++ -o telegramfunctionobject.o ../telegram/functions/telegramfunctionobject.cpp
In file included from /usr/include/c++/6.1.1/bits/stl_algo.h:59:0,
from /usr/include/c++/6.1.1/algorithm:62,
from /usr/include/qt/QtCore/qglobal.h:85,
from /usr/include/qt/QtCore/QtGlobal:1,
from ../telegram/functions/telegramfunctionobject.h:8,
from ../telegram/functions/telegramfunctionobject.cpp:5:
/usr/include/c++/6.1.1/cstdlib:75:25: fatal error: stdlib.h: No such file or directory
#include_next <stdlib.h>
^
compilation terminated.
Makefile:2622: recipe for target 'telegramfunctionobject.o' failed
make: *** [telegramfunctionobject.o] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build libqtelegram-ae-git.

farseerfc commented on 2015-10-06 07:38

@nylocx thanks for looking into this! I will update the stable versions as soon as possible.

nylocx commented on 2015-10-06 07:04

This is fixed now thanks to the really quick upstream response. Cutegram-git with its -git dependencies should all work fine now. I guess farseerfc will update the stable packages soon.

nylocx commented on 2015-10-05 14:07

The current git Version of this library is broken due to a messed up installation routine.
The latest problematic commit was: a40c2b755ed0dd99b618255d48373f2ecc3ea334

For reference I created an upstream bug report at: https://github.com/Aseman-Land/libqtelegram-aseman-edition/issues/16

nylocx commented on 2015-05-29 07:34

Just compiled it on 3 different arch systems without Problems. Maybe paste the full build log somewhere to see where exactly it fails.

farseerfc commented on 2015-05-21 23:19

@Llumex03 it is strange that QtCore from qt5-base is installed in /usr/include/qt/QtCore instead of /usr/include/QtCore . And you seem to have a wrong version of it, because the qdebug.h from qt5-base doesn't have the 279th line. The qt4 version of qdebug.h does have the 279th line but it should be installed in /usr/include/qt4/QtCore , and it should not be selected by qmake in this case.
The easier way is to make sure that you don't have other versions of qt installed in your system. If you need to keep that version of qt installed, please use extra-x86_64-build script from devtools to make a package. The said script will set up a clean chroot(systemd-nspawn, technically) environment with correct dependencies installed only, and call makepkg from that clean environment to make a package.

Llumex03 commented on 2015-05-21 18:55

Here's the error:

/usr/include/QtCore/qdebug.h:279:29: note: candidate expects 0 arguments, 1 provided
Makefile:2142: recipe for target 'utils.o' failed
make: *** [utils.o] Error 1
==> ERROR: A failure occurred in build().
Aborting...

farseerfc commented on 2015-05-21 15:37

@Llumex03 I just tried compile this package (and the non -git one), with both makepkg and extra-x86_64-build from devtools, on three of my arch machines (workstation, laptop, remote build farm). All these 6 builds succeed without problems.
Can you provide the error messages? I am glad to help you find out the problem.